---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: billing
spec:
  replicas: 1
  selector:
    matchLabels:
      app: billing
  template:
    metadata:
      labels:
        app: billing
    spec:
      initContainers:
        - name: check-db-ready
          image: postgres:9.6
          command: [ 'sh', '-c',
              'until pg_isready -h postgres -p 5432;
          do echo database is not ready; sleep 2; done;' ]
          resources:
            requests:
              cpu: 100m
              memory: 256Mi
            limits:
              cpu: 100m
              memory: 256Mi
      containers:
        - name: server
          image: server:v1.8
          resources:
            requests:
              cpu: 500m
              memory: 512Mi
            limits:
              cpu: 500m
              memory: 512Mi       
          env:
            - name: DEBUG
              value: "True"
            - name: DATABASE_URL
              value: postgresql://user:password@postgres/db

---
apiVersion: v1
kind: Service
metadata:
  name: billing
spec:
  selector:
    app: billing
  ports:
    - protocol: TCP
      port: 8080
      targetPort: 8080
